<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>de.fhk</groupId>
	<artifactId>jwx</artifactId>
	<version>0.0.9</version>



	<properties>
	<java.version>1.8</java.version>
		<!-- Use the latest version whenever possible. -->
		<jackson.version>2.4.4</jackson.version>
		<yworks.uml.path>${basedir}/scripts/yworks-uml-doclet-3.0_02-jdk1.5</yworks.uml.path>
	</properties>
	
	<dependencies>

      <dependency>
        <groupId>org.bouncycastle</groupId>
        <artifactId>bcprov-jdk15on</artifactId>
        <version>1.51</version>
      </dependency>
      <dependency>
      <groupId>org.bouncycastle</groupId>
      <artifactId>bcprov-ext-jdk15on</artifactId>
      <version>1.51</version>
      <scope>provided</scope>
      <optional>true</optional>
    </dependency>

		<dependency>
			<groupId>com.fasterxml.jackson.core</groupId>
			<artifactId>jackson-databind</artifactId>
			<version>${jackson.version}</version>
		</dependency>
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>4.12</version>
			<scope>test</scope>
		</dependency>
		
		 <dependency>
            <groupId>org.microemu</groupId>
            <artifactId>microemu-midp</artifactId>
            <version>2.0.4</version>
            
        </dependency>
		 <dependency>
            <groupId>org.microemu</groupId>
            <artifactId>microemu-cldc</artifactId>
            <version>2.0.4</version>
            
        </dependency>
        <dependency>
            <groupId>org.microemu</groupId>
            <artifactId>microemu-javase-swing</artifactId>
            <version>2.0.4</version>
        </dependency>

 

	</dependencies>


	<build>

		<sourceDirectory>src/main/java</sourceDirectory>
		<plugins>

			<plugin>
				<artifactId>maven-pmd-plugin</artifactId>
				<version>3.2</version>
				<executions>
					<execution>
						<id>validate</id>
						<phase>test</phase>
						<goals>
							<goal>check</goal>
						</goals>
						<configuration>
							<rulesets>
								<ruleset>fhk-pmd-ruleset.xml</ruleset>
							</rulesets>
							<sourceEncoding>UTF-8</sourceEncoding>
							<targetJdk>1.7</targetJdk>
							<linkXRef>false</linkXRef>
							<includeTests>true</includeTests>
							<verbose>true</verbose>
						</configuration>
					</execution>
				</executions>
				<dependencies>
					<dependency>
						<groupId>net.sourceforge.pmd</groupId>
						<artifactId>pmd</artifactId>
						<version>5.0.4</version>
						<scope>compile</scope>
					</dependency>
				</dependencies>
				<configuration>
					<rulesets>
						<ruleset>fhk-pmd-ruleset.xml</ruleset>
					</rulesets>
					<sourceEncoding>UTF-8</sourceEncoding>
					<targetJdk>1.7</targetJdk>
					<linkXRef>false</linkXRef>
					<includeTests>true</includeTests>
					<verbose>true</verbose>
				</configuration>
			</plugin>
			<plugin>
				<artifactId>maven-surefire-plugin</artifactId>
				<version>2.17</version>
				<configuration>
					<includes>
						<include>**/*Test.java</include>
						<include>**/*Tests.java</include>
						<include>**/*TestCase.java</include>
						<include>**/*TestCases.java</include>
					</includes>
					<excludes>
						<exclude>**/*$*</exclude>
					</excludes>
					<runOrder>alphabetical</runOrder>
					<reportFormat>brief</reportFormat>
					<useFile>false</useFile>
					<forkMode>once</forkMode>
					<childDelegation>false</childDelegation>
					<argLine>-ea</argLine>
					<enableAssertions>true</enableAssertions>
					<parallel></parallel>
					<systemPropertyVariables>
					</systemPropertyVariables>
				</configuration>
			</plugin>
			<plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.1</version>
                <configuration>
                    <source>${java.version}</source>
                    <target>${java.version}</target>
                </configuration>
            </plugin>
          <plugin>
       <groupId>org.apache.maven.plugins</groupId>
       <artifactId>maven-jar-plugin</artifactId>
       <version>2.4</version>
       <executions>
         <execution>
           <goals>
             <goal>test-jar</goal>
           </goals>
         </execution>
       </executions>
     </plugin>
     <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-source-plugin</artifactId>
        <version>2.4</version>
        <executions>
          <execution>
            <id>attach-sources</id>
            <phase>verify</phase>
            <goals>
              <goal>jar-no-fork</goal>
              <goal>test-jar</goal>
              
            </goals>
          </execution>
        </executions>
      </plugin>
      
      
     
			<!-- <plugin> <groupId>org.apache.maven.plugins</groupId> <artifactId>maven-javadoc-plugin</artifactId> 
				<version>2.8</version> <configuration> <doclet>ydoc.doclets.YStandard</doclet> 
				<docletPath>${yworks.uml.path}/lib/ydoc.jar:${yworks.uml.path}/lib/class2svg.jar:${yworks.uml.path}/resources</docletPath> 
				<additionalparam>-umlautogen</additionalparam> <bootclasspath>${sun.boot.class.path}</bootclasspath> 
				<doctitle>${project.name} (${project.version})</doctitle> <show>private</show> 
				<stylesheetfile>${basedir}/Scripts/Javadoc/style/jboss/api/stylesheet.css</stylesheetfile> 
				<javadocDirectory>${basedir}/Scripts/Javadoc/style/jboss/api</javadocDirectory> 
				<docfilessubdirs>true</docfilessubdirs> </configuration> </plugin> -->
		</plugins>
	</build>
</project>